package org.mercury_im.messenger.persistence.room.type_converter;

import androidx.room.TypeConverter;

import org.mercury_im.messenger.persistence.model.ContactModel;

public class DirectionConverter {

    @TypeConverter
    public static String toString(ContactModel.DIRECTION direction) {
        return direction != null ? direction.toString() : null;
    }

    @TypeConverter
    public static ContactModel.DIRECTION fromString(String string) {
        return string != null ? ContactModel.DIRECTION.valueOf(string) : null;
    }
}
