package org.mercury_im.messenger.persistence.model;

import org.jxmpp.jid.EntityBareJid;

import java.util.Date;

public interface MessageModel {

    long getId();

    void setId(long val);

    long getAccountId();

    void setAccountId(long accountId);

    String getBody();

    void setBody(String body);

    Date getSendDate();

    void setSendDate(Date date);

    EntityBareJid getFrom();

    void setFrom(EntityBareJid sender);

    EntityBareJid getTo();

    void setTo(EntityBareJid recipient);

    boolean isIncoming();

    void setIncoming(boolean isIncoming);
}
