package org.mercury_im.messenger.persistence.room.type_converter;

import androidx.room.TypeConverter;

import java.util.Date;

public class DateConverter {

    @TypeConverter
    public static long toLong(Date date) {
        return date != null ? date.getTime() : -1;
    }

    @TypeConverter
    public static Date toDate(long lon) {
        return lon != -1 ? new Date(lon) : null;
    }
}
